/usr/bin/software-center is running but can't install anything

Bug #656578 reported by josthohad on 2010-10-07
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: software-center

trying to install an app by pushing the install button, the center just freezes for half a second. thereby it appears as before i tried to install.

it works as root but apparently some errors still occur:

2010-10-08 00:46:13,052 - softwarecenter.backend.scagent - WARNING - error in query_info 'Operationen understøttes ikke'
2010-10-08 00:46:13,053 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/share/software-center/softwarecenter/db/update.py', 367, '_error_cb')'
2010-10-08 00:46:13,053 - root - WARNING - error: Operationen understøttes ikke
2010-10-08 00:46:13,273 - softwarecenter.app - INFO - software-center-agent finished with status 1
/usr/share/software-center/softwarecenter/view/appdetailsview_gtk.py:898: GtkWarning: Failed to set text from markup due to error parsing markup: Fejl på linje 1 tegn 24: Mærkeligt tegn "\", forventede et åbningsanførselstegn efter lighedstegnet når værdien for egenskaben "color" for attributten "span" angives
  self.label.set_markup(markup % color)
2010-10-08 00:46:26,566 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/pymodules/python2.6/dbus/proxies.py', 400, '_introspect_error_handler')'
2010-10-08 00:46:26,566 - dbus.proxies - ERROR - Introspect error on :1.46:/: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.54" (uid=0 pid=2769 comm="/usr/bin/python) interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply=0 destination=":1.46" (uid=0 pid=2223 comm="/usr/bin/python))

if i try to install without being root this is all i get:

2010-10-08 00:49:09,829 - softwarecenter.app - INFO - software-center-agent finished with status 1
2010-10-08 00:49:16,794 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/pymodules/python2.6/dbus/proxies.py', 400, '_introspect_error_handler')'
2010-10-08 00:49:16,794 - dbus.proxies - ERROR - Introspect error on :1.46:/: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.58" (uid=1000 pid=3057 comm="/usr/bin/python) interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply=0 destination=":1.46" (uid=0 pid=2223 comm="/usr/bin/python))
2010-10-08 00:49:25,922 - softwarecenter.view.availablepane - INFO - discarding new model (3 != 5)
2010-10-08 00:49:41,636 - softwarecenter.backend - WARNING - _on_trans_error: org.freedesktop.PolicyKit.Error.Failed: ('system-bus-name', {'name': ':1.58'}): org.debian.apt.install-or-remove-packages

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: software-center 3.0.4
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia wl
Architecture: amd64
Date: Fri Oct 8 00:29:36 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate amd64 (20100928.1)
PackageArchitecture: all
ProcEnviron:
 LANG=da_DK.utf8
 SHELL=/bin/bash
SourcePackage: software-center

josthohad (johannes-t-hadsund) wrote :
Massol (massol) wrote :

+1

Victor Vargas (kamus) wrote :

Please could you check if this behaviour is still occurring with latest release included in Ubuntu Maverick? Thanks

Changed in software-center (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Download full text (4.5 KiB)

"Please could you check if this behaviour is still occurring with latest
release included in Ubuntu Maverick? Thanks"

yes the problem still occur after upgrading. but it is (unfortunately)
solved now, and I'm not quiet sure how but a possibility is that it was not
a bug but a rootkit which caused the trouble. i removed a rootkit AND a
friend of mine said that he would try to fix it ( and so hi did). and
after those
two things it worked again. I'm not sure but it seams to me most plausible
that this not a bug.

2010/12/16 Kamus <email address hidden>

> Please could you check if this behaviour is still occurring with latest
> release included in Ubuntu Maverick? Thanks
>
> ** Changed in: software-center (Ubuntu)
> Importance: Undecided => Medium
>
> ** Changed in: software-center (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/656578
>
> Title:
> /usr/bin/software-center is running but can't install anything
>
> Status in “software-center” package in Ubuntu:
> Incomplete
>
> Bug description:
> Binary package hint: software-center
>
> trying to install an app by pushing the install button, the center just
> freezes for half a second. thereby it appears as before i tried to install.
>
> it works as root but apparently some errors still occur:
>
> 2010-10-08 00:46:13,052 - softwarecenter.backend.scagent - WARNING - error
> in query_info 'Operationen understøttes ikke'
> 2010-10-08 00:46:13,053 - softwarecenter.fixme - WARNING - logs to the root
> logger: '('/usr/share/software-center/softwarecenter/db/update.py', 367,
> '_error_cb')'
> 2010-10-08 00:46:13,053 - root - WARNING - error: Operationen understøttes
> ikke
> 2010-10-08 00:46:13,273 - softwarecenter.app - INFO - software-center-agent
> finished with status 1
> /usr/share/software-center/softwarecenter/view/appdetailsview_gtk.py:898:
> GtkWarning: Failed to set text from markup due to error parsing markup: Fejl
> på linje 1 tegn 24: Mærkeligt tegn "\", forventede et åbningsanførselstegn
> efter lighedstegnet når værdien for egenskaben "color" for attributten
> "span" angives
> self.label.set_markup(markup % color)
> 2010-10-08 00:46:26,566 - softwarecenter.fixme - WARNING - logs to the root
> logger: '('/usr/lib/pymodules/python2.6/dbus/proxies.py', 400,
> '_introspect_error_handler')'
> 2010-10-08 00:46:26,566 - dbus.proxies - ERROR - Introspect error on
> :1.46:/: dbus.exceptions.DBusException:
> org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched
> rules; type="method_call", sender=":1.54" (uid=0 pid=2769
> comm="/usr/bin/python) interface="org.freedesktop.DBus.Introspectable"
> member="Introspect" error name="(unset)" requested_reply=0
> destination=":1.46" (uid=0 pid=2223 comm="/usr/bin/python))
>
>
> if i try to install without being root this is all i get:
>
> 2010-10-08 00:49:09,829 - softwarecenter.app - INFO - software-center-agent
> finished with status 1
> 2010-10-08 00:49:16,794 - softwarecenter.fixme - WARNING - logs to the root
> logger: '('/usr/lib/pymodules/python2.6/dbus/proxies.py', 400,
> '_introspect_error_handler')'
>...

Read more...

Launchpad Janitor (janitor) wrote :

[Expired for software-center (Ubuntu) because there has been no activity for 60 days.]

Changed in software-center (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers